    Exclude a spatial region from a data set.

ignore2d_id(ids, val=None)
ids - int or str, or array of int or str
val - str, optional

Select a spatial region to exclude in the fit. The filter is applied to the given data set, or sets.

Ignore the pixels within the rectangle from data set 1:

>>> ignore2d_id(1, 'rect(10,10,20,290)')

Ignore the spatial region in the file `srcs.reg` :

>>> ignore2d_id(1, 'srcs.reg')

or

>>> ignore2d_id(1, 'region(srcs.reg)')

PARAMETERS

The parameters for this function are:

Parameter
Definition
ids
The data set, or sets, to use.
val
A region specification as a string or the name of a file containing a region filter. The coordinates system of the filter is taken from the coordinate setting of the data sets ( `set_coord` ). If none , then all points are included.

Notes

The region syntax is described in the `notice2d` function.

Changes in CIAO

The change in the filter is now reported for the dataset.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023